import axios from 'axios'
var lastTime = new Date().getTime();
var currentTime = new Date().getTime();
var timeOut = 30*60*1000; //设置超时时间： 30分
  
window.onload = function () {
  window.document.onmousedown = function () {
    localStorage.setItem("lastTime",new Date().getTime());
  }
};
function checkTimeout() {
  currentTime = new Date().getTime(); //更新当前时间
  lastTime = localStorage.getItem("lastTime");
  // console.log(currentTime - lastTime);
  // console.log(timeOut);
  if (currentTime - lastTime > timeOut) { //判断是否超时
    console.log("超时");
    axios({
      method: 'GET',
      url: 'member/index/logout',
      params: {
        'access-token': sessionStorage.getItem('tokenB')
      }
    })
      .then(res => {
        console.log(res)
        this.$alert(res.data.message, '长时间未操作，自动退出', {
          confirmButtonText: '确定'
        })
        // alert(res.data.message)
        // 请求接口完成注册   请求成功
        if (res.data.code === 200) {
          localStorage.setItem('user_type', '3')
          console.log(this.$route.path, 'this.$router.path')
          if (this.$route.path !== '/') {
            this.$router.push({
              path: '/'
            })
          }
          sessionStorage.clear()
          this.$router.go(0)
        }
      })
      .catch(fail => {
        console.log(fail)
      })
    // var url = window.location.href;
    // var newUrl=url.match(/(\S*)#/)[1];
     
    // window.open(newUrl + '#/login','_self');
  }
}
  
/* 定时器 间隔30秒检测是否长时间未操作页面 */
window.setInterval(checkTimeout, 300000);


// // 引入路由和storage工具函数
// // import storage from '../util/s.js'
// // import router from "@/common/router"

// let lastTime = new Date().getTime()
// let currentTime = new Date().getTime()
// let timeOut = 3000  //设置超时时间: 30分钟

// window.onload = function () {
//   window.document.onmousedown = function () {
//     stroage.setItem("lastTime", new Date().getTime())
//   }
// };

// function checkTimeout() {
//   currentTime = new Date().getTime()        //更新当前时间
//   lastTime = stroage.getItem("lastTime");

//   if (currentTime - lastTime > timeOut) { //判断是否超时
//     console.log('123456789')
//     // 清除storage的数据(登陆信息和token)
//    // storage.clear()
//     // 跳到登陆页
//     // if(router.currentRouter.name == 'login') return // 当前已经是登陆页时不做跳转
//     // router.push({ name: 'login' })
//   }
// }

// export default function () {
//   /* 定时器 间隔30秒检测是否长时间未操作页面 */
//   window.setInterval(checkTimeout, 1000);
// }
